# IpeDataSource Class Reference
[Ipe Base]

Interface for getting data for parsing. More...

Inherited by IpeA85Source, IpeBufferSource, IpeFileSource, IpeInflateSource, IpePsSource, and IpeStandardStyleSource.

List of all members.

## Public Member Functions

- virtual ~IpeDataSource ()=0
- virtual int GetChar ()=0

## Detailed Description

Interface for getting data for parsing.

## Constructor & Destructor Documentation

IpeDataSource::~IpeDataSource | ( |  | ) | `[pure virtual]`

Pure virtual destructor.

## Member Function Documentation

virtual int IpeDataSource::GetChar | ( |  | ) | `[pure virtual]`

Get one more character, or EOF.

Implemented in IpeFileSource, IpeBufferSource, IpeA85Source, and IpeInflateSource.

The documentation for this class was generated from the following files:

- ipebase.h
- ipebase.cpp